Update Transaction Hash
Updates transaction hash of a given offramp order
This endpoint will return status of updation of transaction hash for given orderId
Update Transaction Hash
POST https://api.onramp.money/onramp/api/v2/whiteLabel/offramp/updateTransactionHash
Request Body
Name
Type
Description
orderId*
String
Order Id of offramp order.
transactionHash*
String
Transaction Hash of offramp order.
customerId*
String
Unique id received from /kyc/url
{
"status": 1,
"code": 200,
"data": "Transaction Hash saved successfully"
}{
"status": 0,
"code": 400,
"error": "No orderid found in sellTransactions table"
}{
"status": 0,
"code": 500,
"error": "Unable to save Transaction Hash at the moment. Please try again after some time."
}{
"status": 1,
"code": 200,
"data": "Transaction Hash saved successfully"
}This indicates that transaction hash has been successfully updated for the given order Id.
Last updated